<template>
  <div class="bg-main-alt" :data-ds-theme="theme">
    <dashboard-header @change="changeTheme"></dashboard-header>
    <dashboard :theme="theme" :class="theme"></dashboard>
  </div>
</template>

<script>
import Dashboard from "./components/dashboard.vue"
import DashboardHeader from "./components/dashboardHeader.vue"

const App = {
  name: "app",
  components: {
    Dashboard,
    DashboardHeader,
  },
  data() {
    return {
      theme: "light",
    }
  },
  methods: {
    changeTheme(theme) {
      this.theme = theme
    },
  },
}

export default App
</script>

<style>
/* Variáveis globais */
:root {
  --surface: var(--theme-surface-main-base);
  --text: var(--theme-surface-text-main-base);
  --interactive: var(--theme-interactive-main);
  --cta: var(--theme-cta-main);
}

/* Aplica variáveis globais */
*,
*::before,
*::after {
  background-color: var(--surface);
  box-sizing: border-box;
  color: var(--text);
}

/* Tipografia */
body {
  background-color: var(--surface);
  color: var(--text);
  font-family: var(--font-family-noto-sans);
  font-size: var(--font-size-default);
  font-weight: var(--font-weight-regular);
  line-height: var(--line-height-medium);
  margin: 0;
}

/* Textos */
p {
  margin: 0;
  padding: 0 0 var(--spacing-layout-02);
}

/* Listas */
dt,
dd {
  display: inline;
}

dd {
  margin-left: var(--spacing-text-01);
}

/* Códigos */
code {
  --surface: var(--theme-surface-main-alt);
  border-radius: var(--rounder-01);
  font-family: var(--font-family-noto-mono);
  padding: var(--spacing-text-01);
}

/* Formulários */
button {
  background: transparent;
  cursor: pointer;
}

/* Seletor de tema */
.theme-selector {
  padding: var(--spacing-layout-02);
  text-align: right;
}

/* Área principal */
.main {
  padding-bottom: var(--spacing-layout-02);
  padding-top: var(--spacing-layout-02);
}

/* Quadrado exemplo */
.box {
  border: 1px solid pink;
  display: inline-block;
  min-height: 100px;
  min-width: 100px;
}

/* Spacing exemplo */
.spacing {
  background: pink;
  display: inline-flex;
  min-height: 100px;
  min-width: 100px;
}
.spacing .box {
  background: white;
  border: 0;
  flex: 1;
  min-width: 0;
  min-height: 0;
}

/* token */
.token {
  border-radius: var(--rounder-03);
  margin-top: var(--spacing-layout-02);
  padding: var(--spacing-layout-02) var(--spacing-layout-02) 0;
}

.token-header {
  align-items: baseline;
  display: flex;
  justify-content: space-between;
}

.token-content {
  border-top: 1px solid lightgray;
  padding-top: var(--spacing-layout-02);
}

.token-content.hide {
  display: none;
}

.token-subcontent .token-content {
  border: 0;
  padding-top: 0;
}

.token-subcontent + .token-subcontent {
  border-top: 1px dashed lightgray;
  padding-top: var(--spacing-layout-01);
}

.token-title {
  font-size: var(--font-size-up-04);
  font-weight: var(--font-weight-light);
  margin: 0;
  padding: 0 0 var(--spacing-layout-02);
}

.token-subtitle {
  font-size: var(--font-size-up-02);
  font-weight: var(--font-weight-medium);
  margin: 0;
  padding: 0 0 var(--spacing-layout-02);
}
</style>
